al_set_sample_instance_pan(3)

NAME

al_set_sample_instance_pan - Allegro 5 API

SYNOPSIS

    #include <allegro5/allegro_audio.h>
    bool al_set_sample_instance_pan(ALLEGRO_SAMPLE_INSTANCE *spl, float val)

DESCRIPTION

Set the pan value on a sample instance. A value of -1.0 means to play the sample only through the left speaker; +1.0 means only through the right speaker; 0.0 means the sample is centre balanced. A special value ALLEGRO_AUDIO_PAN_NONE(3) disables panning and plays the sample at its original level. This will be louder than a pan value of 0.0.

    Note: panning samples with more than two channels doesn't work yet.

Returns true on success, false on failure. Will fail if the sample instance is attached directly to a voice.

SEE ALSO

al_get_sample_instance_pan(3), ALLEGRO_AUDIO_PAN_NONE(3)